# Enhancement Proposals

An Enhancement Proposal is a way to propose, communicate, and coordinate new efforts for the `Service Binding` project.

It is inspired from our experience with the
[Kubernetes](https://github.com/kubernetes/enhancements/blob/master/keps/README.md) and
[OKD](https://github.com/openshift/enhancements/blob/master/guidelines/README.md) enhancement
processes.

## Process

1. Draft a proposal under `docs/proposal`. Refer the [proposal template](/docs/proposals/guidelines/proposal-template.md).
2. Discuss the proposal with other contributors in the [community meeting](https://github.com/redhat-developer/service-binding-operator#community-discussion-contribution-and-support). 
3. If the proposal is approved, submit a Pull Request.

## FAQs

**Do I have to use the process?**

If the enhancement has broad scope, yes.  It helps everyone track why, when, how, and by whom work is done.

**Why would I want to use the process?**

Provide a mechanism to communicate design and implementation strategies across the Service Binding community.

**My FAQ isn't answered here!**

Open an issue and ask or even better open a PR with a question and proposed answer.
